QXmppVersionIq Class Reference
Stanzas

The QXmppVersionIq class represents an IQ for conveying a software version as defined by XEP-0092: Software Version. More...

`#include <QXmppVersionIq.h>`

Inheritance diagram for QXmppVersionIq:

List of all members.

## Public Member Functions

QString | name () const
void | setName (const QString &name)
QString | os () const
void | setOs (const QString &os)
QString | version () const
void | setVersion (const QString &version)

## Detailed Description

The QXmppVersionIq class represents an IQ for conveying a software version as defined by XEP-0092: Software Version.

## Member Function Documentation

QString QXmppVersionIq::name | ( |  | ) | const

Returns the name of the software.

QString QXmppVersionIq::os | ( |  | ) | const

Returns the operating system.

void QXmppVersionIq::setName | ( | const QString & | name | ) |

Sets the name of the software.

Parameters:

  name |

void QXmppVersionIq::setOs | ( | const QString & | os | ) |

Sets the operating system.

Parameters:

  os |

void QXmppVersionIq::setVersion | ( | const QString & | version | ) |

Sets the software version.

Parameters:

  version |

QString QXmppVersionIq::version | ( |  | ) | const

Returns the software version.

The documentation for this class was generated from the following files:

- QXmppVersionIq.h
- QXmppVersionIq.cpp

All Classes Functions Enumerations Enumerator Properties